VULKAN_HPP_NAMESPACE::SwapchainKHR Class Reference

`#include <vulkan.hpp>`

## Public Member Functions

VULKAN_HPP_CONSTEXPR | SwapchainKHR ()
VULKAN_HPP_CONSTEXPR | SwapchainKHR (std::nullptr_t)
VULKAN_HPP_TYPESAFE_EXPLICIT | SwapchainKHR (VkSwapchainKHR swapchainKHR)
SwapchainKHR & | operator= (std::nullptr_t)
bool | operator== (SwapchainKHR const &rhs) const
bool | operator!= (SwapchainKHR const &rhs) const
bool | operator< (SwapchainKHR const &rhs) const
VULKAN_HPP_TYPESAFE_EXPLICIT | operator VkSwapchainKHR () const
| operator bool () const
bool | operator! () const

## Private Attributes

VkSwapchainKHR | m_swapchainKHR

## Detailed Description

Definition at line 4891 of file vulkan.hpp.

## Constructor & Destructor Documentation

## SwapchainKHR() [1/3]

VULKAN_HPP_CONSTEXPR VULKAN_HPP_NAMESPACE::SwapchainKHR::SwapchainKHR | ( |  | ) |

inline

Definition at line 4894 of file vulkan.hpp.

: m_swapchainKHR(VK_NULL_HANDLE)
{}

## SwapchainKHR() [2/3]

VULKAN_HPP_CONSTEXPR VULKAN_HPP_NAMESPACE::SwapchainKHR::SwapchainKHR | ( | std::nullptr_t |  | ) |

inline

Definition at line 4898 of file vulkan.hpp.

: m_swapchainKHR(VK_NULL_HANDLE)
{}

## SwapchainKHR() [3/3]

VULKAN_HPP_TYPESAFE_EXPLICIT VULKAN_HPP_NAMESPACE::SwapchainKHR::SwapchainKHR | ( | VkSwapchainKHR | swapchainKHR | ) |

inline

Definition at line 4902 of file vulkan.hpp.

: m_swapchainKHR( swapchainKHR )
{}

## Member Function Documentation

## operator bool()

VULKAN_HPP_NAMESPACE::SwapchainKHR::operator bool | ( |  | ) | const

inline explicit

Definition at line 4942 of file vulkan.hpp.

{
return m_swapchainKHR != VK_NULL_HANDLE;
}

References m_swapchainKHR, and VK_NULL_HANDLE.

## operator VkSwapchainKHR()

VULKAN_HPP_TYPESAFE_EXPLICIT VULKAN_HPP_NAMESPACE::SwapchainKHR::operator VkSwapchainKHR | ( |  | ) | const

inline

Definition at line 4937 of file vulkan.hpp.

{
return m_swapchainKHR;
}

References m_swapchainKHR.

## operator!()

bool VULKAN_HPP_NAMESPACE::SwapchainKHR::operator! | ( |  | ) | const

inline

Definition at line 4947 of file vulkan.hpp.

{
return m_swapchainKHR == VK_NULL_HANDLE;
}

References m_swapchainKHR, and VK_NULL_HANDLE.

## operator!=()

bool VULKAN_HPP_NAMESPACE::SwapchainKHR::operator!= | ( | SwapchainKHR const & | rhs | ) | const

inline

Definition at line 4925 of file vulkan.hpp.

{
return m_swapchainKHR != rhs.m_swapchainKHR;
}

References m_swapchainKHR.

## operator<()

bool VULKAN_HPP_NAMESPACE::SwapchainKHR::operator< | ( | SwapchainKHR const & | rhs | ) | const

inline

Definition at line 4930 of file vulkan.hpp.

{
return m_swapchainKHR < rhs.m_swapchainKHR;
}

References m_swapchainKHR.

## operator=()

SwapchainKHR& VULKAN_HPP_NAMESPACE::SwapchainKHR::operator= | ( | std::nullptr_t |  | ) |

inline

Definition at line 4914 of file vulkan.hpp.

{
m_swapchainKHR = VK_NULL_HANDLE;
return *this;
}

References m_swapchainKHR, and VK_NULL_HANDLE.

## operator==()

bool VULKAN_HPP_NAMESPACE::SwapchainKHR::operator== | ( | SwapchainKHR const & | rhs | ) | const

inline

Definition at line 4920 of file vulkan.hpp.

{
return m_swapchainKHR == rhs.m_swapchainKHR;
}

References m_swapchainKHR.

## Field Documentation

## m_swapchainKHR

VkSwapchainKHR VULKAN_HPP_NAMESPACE::SwapchainKHR::m_swapchainKHR

private

Definition at line 4953 of file vulkan.hpp.

Referenced by operator bool(), operator VkSwapchainKHR(), operator!(), operator!=(), operator<(), operator=(), and operator==().

The documentation for this class was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VK_NULL_HANDLE
#define VK_NULL_HANDLE
Definition: vulkan_core.h:49
VULKAN_HPP_NAMESPACE::SwapchainKHR::m_swapchainKHR
VkSwapchainKHR m_swapchainKHR
Definition: vulkan.hpp:4953